### Method

# Gtk ComboBoxText append

deprecated: 4.10

#### Declaration [src]

    void
    gtk_combo_box_text_append (
      GtkComboBoxText* combo_box,
      const char* id,
      const char* text
    )

#### Description [src]

Appends `text` to the list of strings stored in `combo_box`.

If `id` is non-`NULL` then it is used as the ID of the row.

This is the same as calling `gtk_combo_box_text_insert()` with a position of -1.

Deprecated since: 4.10

Use `GtkDropDown`.

#### Parameters

`id`

  Type: `const char*`

  A string ID for this value.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`text`

  Type: `const char*`

  A string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.